filetype plugin on
syntax on
set number
set nowrap
set wildmode=longest,list
set colorcolumn=80
let $NVIM_TUI_ENABLE_TRUE_COLOR=1
let g:gruvbox_contrast_dark="hard"
colorscheme gruvbox
set tabpagemax=500
let g:airline#extensions#tabline#enabled = 1
let g:airline#extensions#tabline#show_buffers = 0
let g:airline#extensions#tabline#show_splits = 0
let g:airline#extensions#tabline#show_close_button = 0
let g:airline#extensions#tabline#show_tab_type = 0
let g:airline#extensions#tabline#tab_nr_type = 1

" Indentation
set smartindent
set tabstop=4
set softtabstop=4
set shiftwidth=4
set expandtab

" Search
set incsearch
set hlsearch
set ignorecase
set smartcase

" Whitespaces
set listchars=tab:>-,trail:·
set list
:nnoremap <silent> <F5> :let _s=@/<Bar>:%s/\s\+$//e<Bar>:let @/=_s<Bar>:nohl<CR>

" Terminal mode
:tnoremap <Esc> <C-\><C-n>

" Custom shortcuts
map gb :bn<cr>
map gB :bp<cr>
